// beispiele/qdir_fileinfo/MyWindow.cpp
#include "MyWindow.h"
#include <QApplication>
#include <QMessageBox>
#include <QInputDialog>
#include <QDateTime>

MyWindow::MyWindow(
      QMainWindow *parent, Qt::WindowFlags flags) :
      QMainWindow(parent, flags)  {
   editor = new QTextEdit;
   // Das komplette Men zum Hauptprogramm
   QMenu *fileMenu = new QMenu(tr("&Verzeichnis"), this);
   menuBar()->addMenu(fileMenu);
   fileMenu->addAction(
     QIcon(":/images/folder_table.png"),
     tr("&Pfadangaben"), this, SLOT(demoPath() ),
     QKeySequence(
        tr("Ctrl+P", "Verzeichnis|Pfadangaben")));
   fileMenu->addAction(
     QIcon(":/images/folder_explore.png"),
     tr("&Inhaltsverzeichnis ausgeben"), this,
     SLOT(viewContent() ),
     QKeySequence( tr("Ctrl+I",
        "Verzeichnis|Inhaltsverzeichnis ausgeben")));
   resize(400, 250);
   setCentralWidget(editor);
   setWindowTitle("QDir/QFileInfo - Demo");
}

void MyWindow::demoPath() {
   // Neues QDir-Objekt mit akt. Arbeitsverzeichnis
   QDir dir(QDir::currentPath());
   QString str;
   // Einige Informationen
   str.append("Absoluter Pfad : ");
   str.append(dir.absolutePath());
   str.append("\n");
   str.append("Ein Verzeichnis hher : ");
   dir.cdUp();
   str.append(dir.absolutePath());
   str.append("\n");
   str.append("Verzeichnisname : ");
   str.append(dir.dirName());
   str.append("\n");
   str.append("Heimatverzeichnis (absolut) : ");
   str.append(QDir::homePath ());
   str.append("\n");
   str.append("Wurzelverzeichnis : ");
   str.append(QDir::rootPath ());
   str.append("\n");
   str.append("Temp. Verzeichnis : ");
   str.append(QDir::tempPath ());
   str.append("\n");
   str.append("Wurzelverzeichnis(se): ");
   QFileInfoList files = QDir::drives();
   QFileInfoList::Iterator it;
   it = files.begin();
   while (it != files.end()) {
      str.append((*it).path());
      str.append("  ");
      ++it;
   }
   editor->setPlainText(str);
}

void MyWindow::viewContent() {
   QDir dir(QDir::currentPath());
   dir.setSorting(QDir::Name);
   QString str("Folgende Eintrge befinden sich in ");
   str.append(QDir::currentPath());
   str.append("\n");
   str.append("  Typ    Erzeugt        Name\n");
   QFileInfoList files = dir.entryInfoList();
   QFileInfoList::Iterator it;
   it = files.begin();
   while (it != files.end()) {
      if( (*it).isDir() )
         str.append(" [DIR] ");
      else
         str.append("[FILE] ");
      QDateTime creat = (*it).created();
      str.append(creat.toString("dd/MM/yyyy  "));
      str.append((*it).fileName());
      if((*it).isSymLink()) {
         str.append(" -----> ");
         str.append((*it).symLinkTarget());
      }
      str.append("\n");
      ++it;
   }
   str.append("\nInsgesamt sind ");
   str.append(QString::number(dir.count()));
   str.append(" Eintrge vorhanden\n");
   editor->setPlainText(str);
}

