// beispiele/qlabel/mywidget.cpp
#include "mywidget.h"
#include <QApplication>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyWidget::MyWidget( QWidget *parent): QWidget(parent)  {
     // zwei Label erzeugen
     lab_movie = new QLabel;
     // Animation laden
     movie = new QMovie(QString("%1%2")
      .arg(QCoreApplication::applicationDirPath())
      .arg("/imageformats/bild1.mng"));
     // Animation setzen
     lab_movie->setMovie(movie);
     // Animation starten (QMovie::start())
     movie->start();
     lab_movie->setAlignment(Qt::AlignCenter);
     lab_movie->setScaledContents ( true );
     text = new QLabel(
        "Ein simpler Text, der auch kopiert werden "
        "kann. Auerdem wurde der Umbruch von Worten "
        "aktierviert" );
     text->setOpenExternalLinks ( true );
     text->setAlignment(Qt::AlignCenter);
     text->setOpenExternalLinks ( true );
     text->setTextInteractionFlags(
        Qt::TextEditorInteraction );
     text->setWordWrap(true);
     text->setMargin(10);
     // Ein Editierfeld der Klasse QLineEdit
     QLineEdit *name  = new QLineEdit(this);
     // Ein Textlabel mit Tastaturkrzel ALT+N
     QLabel *nameLabel  = new QLabel(
        "[&Name - ALT+N drcken]", this );
     // Das Editierfeld zum Kumpel von nameLabel erklren
     // Damit wird beim Drcken von ALT+N in das
     // Editierfeld gesprungen
     nameLabel->setBuddy(name);
     // Dasselbe mit einem zweiten Editiertfeld und Label
     // und hier der Tastenkombination ALT+V
     QLineEdit *vname = new QLineEdit(this);
     QLabel *vnameLabel = new QLabel(
        "[&Vorname - ALT+V drcken]:", this );
     vnameLabel->setBuddy(vname);
     // die blichen Boxen
     QVBoxLayout *vBox1 = new QVBoxLayout;
     vBox1->addWidget(lab_movie);
     QVBoxLayout *vBox2 = new QVBoxLayout;
     vBox2->addWidget(text);
     QVBoxLayout *vBox3 = new QVBoxLayout;
     vBox3->addWidget(name);
     vBox3->addWidget(nameLabel);
     vBox3->addWidget(vname);
     vBox3->addWidget(vnameLabel);
     // Verpacken
     QGroupBox *groupBox1 = new QGroupBox(
          "A MNG-Movie");
     groupBox1->setLayout(vBox1);
     QGroupBox *groupBox2 = new QGroupBox(
          "Simple Text");
     groupBox2->setLayout(vBox2);
     QGroupBox *groupBox3 = new QGroupBox(
          "My Buddy");
     groupBox3->setLayout(vBox3);
     // ... und das Layout setzen
     QVBoxLayout* layout = new QVBoxLayout;
     layout->addWidget(groupBox1);
     layout->addWidget(groupBox2);
     layout->addWidget(groupBox3);
     setLayout(layout);
     setWindowTitle(tr("QLabel"));
}

