// beispiele/qlistwidget/main.cpp
#include <QApplication>
#include <QString>
#include <QStringList>
#include <QDir>
#include <QCoreApplication>
#include "iconselector.h"

int main(int argc, char *argv[]) {
   QApplication app(argc, argv);
   QMap<int, QString> iconMap;
   QDir dir(QString("%1%2")
      .arg(QCoreApplication::applicationDirPath())
      .arg("/images/"));
   QStringList filters;
   filters << "*.png" << "*.jpg";
   dir.setNameFilters(filters);
   QStringList dirList = dir.entryList(QDir::Files);
   for (int i = 0; i < dirList.size(); ++i) {
      iconMap.insert(
         i, dirList.at(i).toLocal8Bit().constData() );
   }
   IconSelector selector(iconMap);
   selector.show();
   return app.exec();
}

