// beispiele/qprogressbar/mywidget.cpp
#include "mywidget.h"
#include <QApplication>
#include <QMessageBox>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyWidget::MyWidget( QWidget *parent): QWidget(parent)  {
   // neue Zustandsleiste erzeugen
   pbar = new QProgressBar;
   // min. und max. Werte festlegen
   pbar->setRange( 0, 500 );
   // Anzeige-Format festlegen
   pbar->setFormat("%v von %m (%p%)");
   // Button zum Starten des Dialogs
   QPushButton* but1 = new QPushButton("Starten");
   // Ein Layout-Widget
   QVBoxLayout *vBox = new QVBoxLayout;
   vBox->addWidget(pbar);
   vBox->addWidget(but1);
   // Eine Group-Box
   QGroupBox *groupBox1 = new QGroupBox(
         "Fortschrittszustand");
   groupBox1->setLayout(vBox);
   // Signal-Slot-Verbindung einrichten
  connect( but1, SIGNAL( clicked() ),
           this, SLOT( startProgress() ) );
   // Alles in ein Layout verpacken
   QVBoxLayout* layout = new QVBoxLayout;
   layout->addWidget(groupBox1);
   setLayout(layout);
   setMinimumSize( 300, 150 );
   setWindowTitle("QProgressBar - Demo");
}

// Slot: startet die Zustandsleiste und ndert den Wert
void MyWidget::startProgress() {
    for (int i = 0; i < 500; i++) {
       pbar->setValue(i);
       for( int j=0; j < 12345678; ++j);
       //... copy one file
    }
   pbar->setValue(500);
}

