// beispiele/qslider/mywidget.cpp
#include "mywidget.h"
#include <QApplication>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyWidget::MyWidget( QWidget *parent): QWidget(parent)  {
    text = new QLabel("Aktueller Wert: --");
    text->setMargin(10);
    text->setAlignment(Qt::AlignCenter);

    text2 = new QLabel("Aktueller Wert: --");
    text2->setMargin(10);
    text2->setAlignment(Qt::AlignCenter);

    slider = new QSlider(Qt::Horizontal);
    slider->setTickInterval( 10 );
    slider->setRange ( 0, 100 );
    slider->setTickPosition(QSlider::TicksAbove);
    slider->setSliderPosition( 50 );

    dial = new QDial;
    dial->setNotchesVisible(true);
    dial->setRange ( 0, 100 );
    dial->setNotchTarget ( 7.4 );
    dial->setWrapping( true );

    // die blichen Boxen
    QVBoxLayout *vBox1 = new QVBoxLayout;
    vBox1->addWidget(text);
    vBox1->addWidget(slider);

    QVBoxLayout *vBox2 = new QVBoxLayout;
    vBox2->addWidget(text2);
    vBox2->addWidget(dial);

    // Verpacken
    QGroupBox *groupBox1 = new QGroupBox(
           "Ein einfacher Slider");
    groupBox1->setLayout(vBox1);
    QGroupBox *groupBox2 = new QGroupBox(
           "Ein einfache Skala");
    groupBox2->setLayout(vBox2);

    connect( slider, SIGNAL( valueChanged( int ) ),
             this, SLOT( setLabel( int ) ) );
    connect( dial, SIGNAL( valueChanged( int ) ),
             this, SLOT( setLabel2( int ) ) );

    // ... und das Layout setzen
    QVBoxLayout* layout = new QVBoxLayout;
    layout->addWidget(groupBox1);
    layout->addWidget(groupBox2);
    setLayout(layout);
    setWindowTitle(tr("QAbstractSlider - Demo"));
}

void MyWidget::setLabel( int val ) {
   text->setText(QString("Aktueller Wert: %1").arg(val));
}

void MyWidget::setLabel2( int val ) {
   text2->setText(
      QString("Aktueller Wert: %1").arg(val) );
}

